Summary: Openswan IPSEC
Name: openswan
Version: 2.4.6
Release: 2tr
Group: Trustix Official
Source0: http://www.openswan.org/code/%{name}-%{version}.tar.gz
Source1: openswan-2.1.5.secrets.proto
Patch1: openswan-2.2.1-initdir.patch
Patch2: openswan-2.4.6-status.patch
BuildRoot: %{_tmppath}/%{name}-root
URL: http://www.openswan.org/
License: GPL
PreReq: /sbin/chkconfig
Obsoletes: freeswan
Provides: ipsec

%description
Openswan is a free implementation of IPSEC & IKE for Linux.

IPsec is Internet Protocol Security and uses strong cryptography to
provide both authentication and encryption services.  These services
allow you to build secure tunnels through untrusted networks.
Everything passing through the untrusted net is encrypted by the ipsec
gateway machine and decrypted by the gateway at the other end of the
tunnel.  The resulting tunnel is a virtual private network or VPN.

%prep
%setup -q
%patch1 -p1
%patch2 -p1

%build
CFLAGS="$RPM_OPT_FLAGS" \
 make INC_USRLOCAL=%{_prefix} INC_MANDIR=share/man programs
 
cd $RPM_BUILD_DIR/%{name}-%{version}/programs/pluto
 make all

%install
[ -n "$RPM_BUILD_ROOT" -a "RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

make DESTDIR=$RPM_BUILD_ROOT INC_USRLOCAL=%{_prefix} \
INC_MANDIR=share/man install

install -d -m700 %{buildroot}%{_localstatedir}/run/pluto
install -d %{buildroot}%{_sbindir}
install -m755 $RPM_SOURCE_DIR/ipsec.init %{buildroot}/%{_sysconfdir}/init.d/ipsec

#mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
#install $RPM_BUILD_ROOT/etc/rc.d/init.d/* $RPM_BUILD_ROOT/etc/init.d/
#rm -rf $RPM_BUILD_ROOT/etc/rc.d/init.d

install %{SOURCE1} $RPM_BUILD_ROOT/%{_sysconfdir}/ipsec.secrets

mkdir -p -m 755 /etc/ipsec.d/cacerts
mkdir -p -m 755 /etc/ipsec.d/crls
mkdir -p -m 700 /etc/ipsec.d/private

%clean
[ -n "$RPM_BUILD_ROOT" -a "RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT


%preun
if [ $1 = 0 ]; then
    %{_initdir}/ipsec stop > /dev/null 2>&1
    /sbin/chkconfig --del ipsec
fi

%postun
if [ "$1" -ge "1" ]; then
  /sbin/restart_maybe ipsec
fi

%post
chkconfig --add ipsec

%files
%defattr(-,root,root,0755)
%doc CHANGES CREDITS COPYING doc/quickstarts/*	
%doc LICENSE README BUGS doc/manpage.d/* doc/src/*
%config(noreplace) %{_sysconfdir}/ipsec.conf
%attr(0600,root,root) %config(noreplace) %{_sysconfdir}/ipsec.secrets
%{_sysconfdir}/ipsec.d
%{_initdir}/ipsec
%{_libdir}/ipsec
%{_libexecdir}/ipsec
%{_mandir}/man*/*
%{_sbindir}/ipsec
%{_localstatedir}/run/pluto

%changelog
* Mon Oct 16 2006 Nived Gopalan <nived at trustix dot org> 2.4.6-2tr
- Patch to fix Bug #1997.

* Thu Sep 14 2006 Nived Gopalan <nived at trustix dot org> 2.4.6-1tr
- New Upstream

* Fri Aug 26 2005 Erlend Midttun <erlendbm at trustix dot org> 2.2.1-1tr
- New upstream.

* Tue Jun 21 2005 Hasher J <hasher at comodo dot com> 2.2.0-9tr
- Fixed Bug #951 by adding openswan-ipsec_tunnel.patch.

* Fri Nov 12 2004 Erlend Midttun <erlendbm at trustix dot org> 2.2.0-8tr
- Fix permissions on ipsec.secrets.

* Wed Oct 06 2004 Ajith Thampi <ajith at comodo dot com> 2.2.0-6tr
- Added PreReq chkconfig

* Fri Oct 01 2004 Syed Shabir <syedshabir at comodo dot com> 2.2.0-3tr
- New upstream
- Modified %install section, Fixed post uninstallation error
- Added %{_localstatedir}/run/pluto in %file section

* Mon Sep 27 2004 Ajith Thampi <ajith at comodo dot com> 2.1.5-1tr
- Initial spec file for openswan
